Pagamenti dell'account
GET https://uptimeset.com/api/payments/
curl --request GET \
--url 'https://uptimeset.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| processor | Opzionale Stringa | Valori consentiti: paypal , stripe , offline_payment , coinbase , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut |
| status | Opzionale Stringa | Valori consentiti: paid , pending , cancelled , refunded |
| type | Opzionale Stringa | Valori consentiti: one_time , recurring |
| frequency | Opzionale Stringa | Valori consentiti: monthly , quarterly , biannual , annual , lifetime |
| order_by | Opzionale Stringa | In quale campo ordinare i risultati. I valori consentiti sono: id , datetime , total_amount. |
| order_type | Opzionale Stringa | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente, e DESC per ordinamento decrescente. |
| page | Opzionale Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Opzionale Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-03-04 09:24:39",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimeset.com/api/payments?page=1",
"last": "https://uptimeset.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://uptimeset.com/api/payments?page=1"
}
}
GET https://uptimeset.com/api/payments/{payment_id}
curl --request GET \
--url 'https://uptimeset.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-03-04 09:24:39",
}
}